Subject: quick retraction

From: [email-masked]
Date: Mon, 20 Jul 92 11:49:14 -0700

> In message <[email-masked]> was written:
> 
> > My question to you is:
> >  Should this directory be created by me or is it an error
> >  in a makefile or in the tarfile. What did I do wrong ?
> 
> > awk: can't open /usr/postgres/tmp/inh.19132
> > awk: can't open /usr/postgres/tmp/inh.19132
> 

I replied:

> The inherits.sh shell script has the following two lines:
> 
> 	TMPDIR=${TMPDIR-/tmp}
> 	INHFILE=$TMPDIR/inh.$$
> 
> Normally the temporary file will be /tmp/inh.<pid> unless you already
> have TMPDIR set in your environment to point someplace else...
> 
> There really isn't any reason to have the temp file be setable in the
> environment, and I will update the script for future releases.

This last statement (as many of you probably know) is not right.  TMPDIR
is used by cc to decide where to put temporary files during compilation and
loading, and it is probably a good idea to use the user specified temporary
directory when executing these scripts.  In my defense it is the Monday
morning after a short vacation...  I won't be changing anything here.

Jeff